[ 解決済 ] php8.1にしたところ大量のDeprecatedが表示され、ログインもできなくなりました。

VWSとは フォーラム バグ報告と提案 [ 解決済 ] php8.1にしたところ大量のDeprecatedが表示され、ログインもできなくなりました。

[ 解決済 ] php8.1にしたところ大量のDeprecatedが表示され、ログインもできなくなりました。

  • このトピックには3件の返信、2人の参加者があり、最後にChocoMにより1年、 3ヶ月前に更新されました。
4件の投稿を表示中 - 1 - 4件目 (全4件中)
  • 投稿者
    投稿
  • #74089

    ChocoM
    参加者

    ■ WordPress のバージョン
    6.1.1

    ■ テーマ・プラグインは全て最新版で確認してください。
    確認しました。

    ■ 子テーマをご利用の場合は親テーマに変更して症状が改善するか確認してください。
    確認しました。

    ■ テーマの種類
    Lightning ( G3 ) + Lightning G3 Pro Unit

    ■ テーマのバージョン
    15.5.1

    ■ Pro Unit のバージョン
    0.23.4

    ■ スキンの種類
    プレーン

    ■ 関連しそうなプラグインを一つづつ停止して症状が改善するか確認してください。
    確認しました。

    ■ プラグインの種類・バージョン
    エラーが表示されたプラグインは、次の3つです。いずれも最新版です。
    vk-all-in-one-expansion-unit
    vk-blocks
    vk-blocks-pro

    ■ 期待する動作
    php8.1にてエラーや警告が発生しないこと
    ※php7.4のセキュリティサポートは終了しているため

    ■ 自分で試した事
    php7.4にするとエラーが消えることを確認
    プラグインを停止することでエラーが消えることを確認

    ■ 症状が発生するブラウザ
    Chrome、Edge

    ■ 実際の症状
    エラーの例:
    Deprecated: Implicit conversion from float 202.4 to int loses precision in /home/users/0/main/web/wp-content/plugins/vk-all-in-one-expansion-unit/inc/vk-helpers/package/class-vk-helpers.php on line 268

    Deprecated: preg_match(): Passing null to parameter #2 ($subject) of type string is deprecated in /home/users/0/main/web/wp-content/plugins/vk-blocks-pro/inc/vk-blocks-pro/extensions/common/custom-css-extension.php on line 20

    現在60個のエラーが発生しています。

    Attachments:
    You must be logged in to view attached files.
    #74094

    本件対応中で今週リリース予定です。
    ご迷惑おかけして恐れ入りますが今しばらくお待ちくださいませ。

    PHP8.1の対応に関して

    #74137

    おまたせいたしました。以下にて対応いたしましたのでアップデートの上ご確認くださいませ。

    VK Blocks Pro 1.52.0
    ExUnit 9.87.2.1

    #74161

    ChocoM
    参加者

    解決致しました。
    ご対応ありがとうございます。

4件の投稿を表示中 - 1 - 4件目 (全4件中)
  • このトピックに返信するにはログインが必要です。